Index: /anuga_validation/automated_validation_tests/okushiri_tank_validation/compare_timeseries_with_measures.py
===================================================================
--- /anuga_validation/automated_validation_tests/okushiri_tank_validation/compare_timeseries_with_measures.py	(revision 6159)
+++ /anuga_validation/automated_validation_tests/okushiri_tank_validation/compare_timeseries_with_measures.py	(revision 6160)
@@ -6,5 +6,5 @@
 """
 
-from Numeric import allclose, argmin, argmax
+import Numeric as num
 from Scientific.IO.NetCDF import NetCDFFile
 
@@ -113,5 +113,5 @@
 assert reference_time[0] == 0.0
 assert reference_time[-1] == finaltime
-assert allclose(reference_time, input_time)
+assert num.allclose(reference_time, input_time)
 
 for key in gauge_names:
@@ -152,6 +152,6 @@
     #                            rtol=rtol, atol=atol)
     if plotting is False:
-        assert allclose(reference_value, computed_value,
-                        rtol=rtol, atol=atol), msg
+        assert num.allclose(reference_value, computed_value,
+                            rtol=rtol, atol=atol), msg
     
 
@@ -198,5 +198,5 @@
     # Locations of extrema
     #i0 = argmax(observed_timeseries)
-    i1 = argmax(model)
+    i1 = num.argmax(model)
     res = reference_time[i1]
     report_difference('Location of maximum', res, expected_argmax[name], rtol, atol)    
@@ -205,5 +205,5 @@
     if not name in ['ch7', 'ch9']:
         # Minima of ch7 and ch9 are very flat and hard to pinpoint
-        i1 = argmin(model)
+        i1 = num.argmin(model)
         res = reference_time[i1]
         report_difference('Location of minimum', res, expected_argmin[name],
Index: /anuga_validation/automated_validation_tests/okushiri_tank_validation/create_okushiri.py
===================================================================
--- /anuga_validation/automated_validation_tests/okushiri_tank_validation/create_okushiri.py	(revision 6159)
+++ /anuga_validation/automated_validation_tests/okushiri_tank_validation/create_okushiri.py	(revision 6160)
@@ -3,5 +3,5 @@
 
 
-from Numeric import array, zeros, Float, allclose
+import Numeric as num
 
 from anuga.pmesh.mesh import *
@@ -96,6 +96,4 @@
 
     from Scientific.IO.NetCDF import NetCDFFile
-    from Numeric import array
-
 
     print 'Creating', filename
@@ -113,6 +111,6 @@
 
     N = len(lines)
-    T = zeros(N, Float)  #Time
-    Q = zeros(N, Float)  #Values
+    T = num.zeros(N, num.Float)  #Time
+    Q = num.zeros(N, num.Float)  #Values
 
     for i, line in enumerate(lines):
@@ -130,14 +128,14 @@
     fid.starttime = 0.0
     fid.createDimension('number_of_timesteps', len(T))
-    fid.createVariable('time', Float, ('number_of_timesteps',))
+    fid.createVariable('time', num.Float, ('number_of_timesteps',))
     fid.variables['time'][:] = T
 
-    fid.createVariable('stage', Float, ('number_of_timesteps',))
+    fid.createVariable('stage', num.Float, ('number_of_timesteps',))
     fid.variables['stage'][:] = Q[:]
 
-    fid.createVariable('xmomentum', Float, ('number_of_timesteps',))
+    fid.createVariable('xmomentum', num.Float, ('number_of_timesteps',))
     fid.variables['xmomentum'][:] = 0.0
 
-    fid.createVariable('ymomentum', Float, ('number_of_timesteps',))
+    fid.createVariable('ymomentum', num.Float, ('number_of_timesteps',))
     fid.variables['ymomentum'][:] = 0.0
 
Index: /anuga_validation/automated_validation_tests/urs_mux_files_validation/run_Bf.py
===================================================================
--- /anuga_validation/automated_validation_tests/urs_mux_files_validation/run_Bf.py	(revision 6159)
+++ /anuga_validation/automated_validation_tests/urs_mux_files_validation/run_Bf.py	(revision 6160)
@@ -20,5 +20,5 @@
 # Related major packages
 from anuga.shallow_water import Domain,Dirichlet_boundary,File_boundary,Transmissive_boundary, Field_boundary
-from Numeric import allclose, array
+import Numeric as num
 from anuga.pmesh.mesh_interface import create_mesh_from_regions
 from anuga.abstract_2d_finite_volumes.util import start_screen_catcher, copy_code_files, sww2timeseries, get_data_from_file
@@ -243,5 +243,5 @@
 # Compares the two time series
 #----------------------------------------------------------------------------
-assert allclose (b_sample, e_sample, 0.5, 0.5)
+assert num.allclose (b_sample, e_sample, 0.5, 0.5)
 
 