Index: /anuga_core/source/anuga/geospatial_data/geospatial_data.py
===================================================================
--- /anuga_core/source/anuga/geospatial_data/geospatial_data.py	(revision 6161)
+++ /anuga_core/source/anuga/geospatial_data/geospatial_data.py	(revision 6162)
@@ -707,5 +707,5 @@
         if verbose: print "make unique random number list and get indices"
 
-        total=num.array(range(self_size))
+        total=num.array(range(self_size), num.Int)     #array default#
         total_list = total.tolist()
 
Index: /anuga_core/source/anuga/load_mesh/loadASCII.py
===================================================================
--- /anuga_core/source/anuga/load_mesh/loadASCII.py	(revision 6161)
+++ /anuga_core/source/anuga/load_mesh/loadASCII.py	(revision 6162)
@@ -853,5 +853,5 @@
         mesh['vertices'] = fid.variables['vertices'][:]
     except KeyError:
-        mesh['vertices'] = num.array([])
+        mesh['vertices'] = num.array([], num.Int)      #array default#
 
     try:
@@ -873,5 +873,5 @@
         mesh['segments'] = fid.variables['segments'][:]
     except KeyError:
-        mesh['segments'] = num.array([])
+        mesh['segments'] = num.array([], num.Int)      #array default#
 
     mesh['segment_tags'] =[]
@@ -888,6 +888,6 @@
         mesh['triangle_neighbors'] = fid.variables['triangle_neighbors'][:]
     except KeyError:
-        mesh['triangles'] = num.array([])
-        mesh['triangle_neighbors'] = num.array([])
+        mesh['triangles'] = num.array([], num.Int)      #array default#
+        mesh['triangle_neighbors'] = num.array([], num.Int)      #array default#
 
     mesh['triangle_tags'] =[]
@@ -916,5 +916,5 @@
         mesh['outline_segments'] = fid.variables['outline_segments'][:]
     except KeyError:
-        mesh['outline_segments'] = num.array([])
+        mesh['outline_segments'] = num.array([], num.Int)      #array default#
 
     mesh['outline_segment_tags'] =[]
@@ -930,10 +930,10 @@
         mesh['holes'] = fid.variables['holes'][:]
     except KeyError:
-        mesh['holes'] = num.array([])
+        mesh['holes'] = num.array([], num.Int)      #array default#
 
     try:
         mesh['regions'] = fid.variables['regions'][:]
     except KeyError:
-        mesh['regions'] = num.array([])
+        mesh['regions'] = num.array([], num.Int)      #array default#
 
     mesh['region_tags'] =[]
@@ -949,5 +949,5 @@
         mesh['region_max_areas'] = fid.variables['region_max_areas'][:]
     except KeyError:
-        mesh['region_max_areas'] = num.array([])
+        mesh['region_max_areas'] = num.array([], num.Int)      #array default#
     #mesh[''] = fid.variables[''][:]
 
Index: /anuga_core/source/anuga/shallow_water/benchmark_sww2dem.py
===================================================================
--- /anuga_core/source/anuga/shallow_water/benchmark_sww2dem.py	(revision 6161)
+++ /anuga_core/source/anuga/shallow_water/benchmark_sww2dem.py	(revision 6162)
@@ -101,5 +101,5 @@
     sww_fileName = tempfile.mktemp(".sww" )
     # sww_fileName = "aa.sww" 
-    elevation = num.array(range(len(mesh_dict["vertices"])))
+    elevation = num.array(range(len(mesh_dict["vertices"])), num.Int)      #array default#
     stage = elevation
     ymomentum = elevation
Index: /anuga_core/source/anuga/shallow_water/data_manager.py
===================================================================
--- /anuga_core/source/anuga/shallow_water/data_manager.py	(revision 6161)
+++ /anuga_core/source/anuga/shallow_water/data_manager.py	(revision 6162)
@@ -3205,5 +3205,5 @@
             volumes.append([v4,v3,v2]) #Lower element
 
-    volumes = num.array(volumes)
+    volumes = num.array(volumes, num.Int)      #array default#
 
     if origin is None:
@@ -4121,5 +4121,5 @@
             volumes.append([v4,v2,v3]) #Lower element
 
-    volumes = num.array(volumes)
+    volumes = num.array(volumes, num.Int)      #array default#
 
     geo_ref = Geo_reference(refzone, min(x), min(y))
Index: /anuga_core/source/anuga/shallow_water/eq_test.py
===================================================================
--- /anuga_core/source/anuga/shallow_water/eq_test.py	(revision 6161)
+++ /anuga_core/source/anuga/shallow_water/eq_test.py	(revision 6162)
@@ -75,5 +75,5 @@
 
 y = 10000
-points=num.array([[0]*2]*max)
+points=num.array([[0]*2]*max, num.Int)      #array default#
 print points
 half_max_skip=(max*skip)/2
@@ -87,5 +87,5 @@
 number_points = profile_lenght/interval
 y = 10000
-points=num.array([[0]*2]*number_points)
+points=num.array([[0]*2]*number_points, num.Int)      #array default#
 print points
 half_profile=profile_lenght/2
Index: /anuga_core/source/anuga/utilities/sparse.py
===================================================================
--- /anuga_core/source/anuga/utilities/sparse.py	(revision 6161)
+++ /anuga_core/source/anuga/utilities/sparse.py	(revision 6162)
@@ -355,5 +355,5 @@
 
     #Right hand side column
-    v = num.array([[2,4],[3,4],[4,4]])
+    v = num.array([[2,4],[3,4],[4,4]], num.Int)      #array default#
 
     u = A*v[:,0]